VisualCppPlatformToolChain (Gradle API 3.5)
Date: 2017-04-10

org.gradle.nativeplatform.toolchain

## Interface VisualCppPlatformToolChain

- All Superinterfaces:
    NativePlatformToolChain

      @Incubating
      public interface VisualCppPlatformToolChain
      extends NativePlatformToolChain

  Visual C++ specific settings for the tools used to build for a particular platform.

- - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `CommandLineToolConfiguration` | `getAssembler()` Returns the settings to use for the assembler.
    `CommandLineToolConfiguration` | `getcCompiler()` Returns the settings to use for the C compiler.
    `CommandLineToolConfiguration` | `getCppCompiler()` Returns the settings to use for the C++ compiler.
    `CommandLineToolConfiguration` | `getLinker()` Returns the settings to use for the linker.
    `CommandLineToolConfiguration` | `getRcCompiler()` Returns the settings to use for the Windows resources compiler.
    `CommandLineToolConfiguration` | `getStaticLibArchiver()` Returns the settings to use for the archiver.

    - ### Methods inherited from interface org.gradle.nativeplatform.toolchain.NativePlatformToolChain

      `getPlatform`

- - ### Method Detail

    - #### getcCompiler

          CommandLineToolConfiguration getcCompiler()

      Returns the settings to use for the C compiler.

    - #### getCppCompiler

          CommandLineToolConfiguration getCppCompiler()

      Returns the settings to use for the C++ compiler.

    - #### getRcCompiler

          CommandLineToolConfiguration getRcCompiler()

      Returns the settings to use for the Windows resources compiler.

    - #### getAssembler

          CommandLineToolConfiguration getAssembler()

      Returns the settings to use for the assembler.

    - #### getLinker

          CommandLineToolConfiguration getLinker()

      Returns the settings to use for the linker.

    - #### getStaticLibArchiver

          CommandLineToolConfiguration getStaticLibArchiver()

      Returns the settings to use for the archiver.